package com.bocloud.cmp.model.hmc.sdk.module;

/**
 * 修改逻辑分区时的实体类
 * <p>
 * 比LogicalPartition少一些属性
 * </p>
 *
 * @author sxp
 * @since Jun 7, 2018
 */
public class LogicalPartitionForUpdate {
    private String currentProfileSync;
    private String isConnectionMonitoringEnabled;
    private String keylockPosition;
    private String allowPerformanceDataCollection;
    private PartitionIOConfiguration partitionIOConfiguration;
    private PartitionMemoryConfiguration partitionMemoryConfiguration;
    private String partitionName;
    private PartitionProcessorConfiguration partitionProcessorConfiguration;
    private HostEthernetAdapterLogicalPorts hostEthernetAdapterLogicalPorts;

    public LogicalPartitionForUpdate() {
    }

    public String getCurrentProfileSync() {
        return currentProfileSync;
    }

    public void setCurrentProfileSync(String currentProfileSync) {
        this.currentProfileSync = currentProfileSync;
    }

    public String getIsConnectionMonitoringEnabled() {
        return isConnectionMonitoringEnabled;
    }

    public String getAllowPerformanceDataCollection() {
        return allowPerformanceDataCollection;
    }

    public void setAllowPerformanceDataCollection(String allowPerformanceDataCollection) {
        this.allowPerformanceDataCollection = allowPerformanceDataCollection;
    }

    public void setIsConnectionMonitoringEnabled(String isConnectionMonitoringEnabled) {
        this.isConnectionMonitoringEnabled = isConnectionMonitoringEnabled;
    }

    public String getKeylockPosition() {
        return keylockPosition;
    }

    public void setKeylockPosition(String keylockPosition) {
        this.keylockPosition = keylockPosition;
    }

    public PartitionIOConfiguration getPartitionIOConfiguration() {
        return partitionIOConfiguration;
    }

    public void setPartitionIOConfiguration(PartitionIOConfiguration partitionIOConfiguration) {
        this.partitionIOConfiguration = partitionIOConfiguration;
    }

    public PartitionMemoryConfiguration getPartitionMemoryConfiguration() {
        return partitionMemoryConfiguration;
    }

    public void setPartitionMemoryConfiguration(PartitionMemoryConfiguration partitionMemoryConfiguration) {
        this.partitionMemoryConfiguration = partitionMemoryConfiguration;
    }

    public String getPartitionName() {
        return partitionName;
    }

    public void setPartitionName(String partitionName) {
        this.partitionName = partitionName;
    }

    public PartitionProcessorConfiguration getPartitionProcessorConfiguration() {
        return partitionProcessorConfiguration;
    }

    public void setPartitionProcessorConfiguration(PartitionProcessorConfiguration partitionProcessorConfiguration) {
        this.partitionProcessorConfiguration = partitionProcessorConfiguration;
    }

    public HostEthernetAdapterLogicalPorts getHostEthernetAdapterLogicalPorts() {
        return hostEthernetAdapterLogicalPorts;
    }

    public void setHostEthernetAdapterLogicalPorts(HostEthernetAdapterLogicalPorts hostEthernetAdapterLogicalPorts) {
        this.hostEthernetAdapterLogicalPorts = hostEthernetAdapterLogicalPorts;
    }
}
